For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
          • GETList Projects
          • GETGet a Project
          • PATCHUpdate a Project
          • DELDelete a Project
          • DELLeave a Project
          • GETList Project Models
          • GETGet a Project Model
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceManageProjects

Delete a Project

DELETE
https://api.deepgram.com/v1/projects/:project_id
DELETE
/v1/projects/:project_id
1import requests
2
3url = "https://api.deepgram.com/v1/projects/123456-7890-1234-5678-901234"
4
5payload = {}
6headers = {
7 "Authorization": "Token <apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.delete(url, json=payload, headers=headers)
12
13print(response.json())
Try it
1{
2 "message": "Project 123456-7890-1234-5678-901234 has been successfully deleted."
3}
Deletes the specified project
Was this page helpful?
Previous

Leave a Project

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

Path parameters

project_idstringRequired
The unique identifier of the project

Response

A project
messagestring
Confirmation message

Errors

400
Bad Request Error